# Firebird 3 #

Firebird 3 SuperServer

Установка в образ CentOS 7.6 последней версии из репозитория coprs/makowski/firebird/repo/epel-7/makowski-firebird-epel-7.repo
Директория /data в контейнере объявлена как VOLUME
Экспортируется порт 3050
При каждом запуске контейнера заново инициализируется security3.fdb:
Ожидается (не обязательно) передача docker secrets:
* **FB3_SYSDBA_PWD** - пароль пользователя **SYSDBA**, если не передается - пароль задается случайно, см. логи.
* **FB3_USER_NAME** и **FB3_USER_PWD** - имя и пароль дополнительного пользователя, которому выдается право на создание баз данных.

Пример:

docker service create \  
  --name fb3 \  
  -p 3050:3050 \  
  --secret FB3_SYSDBA_PWD \  
  --secret FB3_USER_PWD \  
  --secret FB3_USER_NAME \  
  --mount "type=volume,source=fb_main,target=/data,volume-driver=local,volume-opt=device=/dev/mapper/docker_data-fb_main,volume-opt=type=xfs" \  
  registry.sdsys.ru/fbdb3